Bug 1000564 - nm-connection-editor does no longer load the username/password when editing existing connection
nm-connection-editor does no longer load the username/password when editing e...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: network-manager-applet (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Thomas Haller
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 13:01 EDT by Thomas Haller
Modified: 2014-06-18 00:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: network-manager-applet-0.9.9.0-5.git20130906
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:18:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Haller 2013-08-23 13:01:37 EDT
Description of problem:

When you edit the wifi-security tab in nm-connection-editor, the username/password field is not set.


How reproducible:

Create a wifi connection, for example of type Tunneled TLS.
When you try to edit that connection again in nm-connection-editor, the username/password field is always empty.



Additional info:

This bug was introduced in upstream commit https://git.gnome.org/browse/network-manager-applet/commit/?id=c9476e9c07839e71aed49e820e364ad0b9f47039 and is in file src/wireless-security/eap-method-simple.c

Note that when editing an existing connection, the input fields will be initialized in eap_method_simple_new. But then they are unset again in widgets_realized because "method->ws_parent->username" et al. is not set to the values from the edited connection.
Comment 2 Thomas Haller 2013-08-23 15:47:31 EDT
Patch ready for review:

https://git.gnome.org/browse/network-manager-applet/log/?h=thaller/rh1000564_wifi_security_userpass

The relevant fix is the first commit. The second commit is another unrelated feature asking for review as well :)
Comment 3 Dan Williams 2013-08-27 17:57:07 EDT
Branch looks good, please merge, thanks!
Comment 7 Dan Williams 2013-10-07 12:57:28 EDT
Moving back to MODIFIED so we can attach this to a network-manager-applet errata instead of NM.
Comment 8 Vadim Rutkovsky 2014-02-25 11:09:35 EST
Verified on nm-connection-editor-0.9.9.0-12.git20131212.el7.x86_64
Comment 9 Ludek Smid 2014-06-13 05:18:59 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.